Subject: bug#45695: Date does not work for dates before 1970

From: "Philip Rowlands" <[email-masked]>
Date: Wed, 06 Jan 2021 22:51:49 +0000

On Wed, 6 Jan 2021, at 16:34, zed991 wrote:
> On linux, I can use  date +%s --date "31 Dec 1969"
> The result is -90000
> A negative number
> 
> But when I try it on Windows (using GNUWin32) it gives me an error -
> "invalid date"
> 
> I downloaded date for windows from this link -
> http://gnuwin32.sourceforge.net/packages/coreutils.htm

That specific page refers to coreutils 5.3.0, which was published in 2005. The gnuwin32 website in general doesn't appear to have been updated in over 10 years.

My personal recommendation to run coreutils on Windows is WSL2, but there are other options (cygwin etc.)

Cheers,
Phil